Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffGroupTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffGroupTariff

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class TariffGroupTariff
    extends Id

Одна позиция из группы тарифов - тариф и его период. используется в таблице в модели (в клиенте), в бине менеджера TariffGroup и при передаче тоже используется.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TariffGroupTariff()` |
  `TariffGroupTariff​(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2)` |
  `TariffGroupTariff​(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2, java.lang.String comment)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDate1()` |
  `java.util.Date` | `getDate2()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate1​(java.util.Date date1)` |
  `void` | `setDate2​(java.util.Date date2)` |
  `void` | `setTitle​(java.lang.String title)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TariffGroupTariff

    public TariffGroupTariff()

  - ### TariffGroupTariff

    public TariffGroupTariff​(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2)

  - ### TariffGroupTariff

    public TariffGroupTariff​(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2, java.lang.String comment)

- ## Method Details

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getDate1

    public java.util.Date getDate1()

  - ### setDate1

    public void setDate1​(java.util.Date date1)

  - ### getDate2

    public java.util.Date getDate2()

  - ### setDate2

    public void setDate2​(java.util.Date date2)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`